<template>
  <div>
    <Busqueda :id-tabla-sol="id_tabla_sol" @ocultarGrilla="ocultarGrilla" @mostrarGrilla="mostrarGrilla"
      @abrirABM="abrirABM" />
    <Grilla v-if="ver_grilla" class="mt-5" @abrirABM="abrirABM" />
  </div>
</template>

<script setup lang="ts">
import Busqueda from "@/components/becas/actualizacion/Busqueda.vue";
import Grilla from "@/components/becas/actualizacion/Grilla.vue";
import { computed, ref, onMounted } from "vue";
import { BreadCrumbRoute } from "@hcd-bsas/vue3-components";
import { useBreadcrumb, isEmpty } from "@/shared.js";
import type { RouteLocationRaw } from 'vue-router';
import { useRoute, useRouter } from "vue-router";

const route = useRoute();
const router = useRouter();
const { breadcrumb } = useBreadcrumb();

const id_tabla_sol = computed(() =>
  !isEmpty(route.params.id_tabla_sol) ? Number(route.params.id_tabla_sol) : null,
);

const ver_grilla = ref(false);

onMounted(() => {
  //const currentRoute: RouteLocationRaw = { name: router.currentRoute.value.path };
  //const routes: BreadCrumbRoute[] = [{ name: 'becasActualizacion' }];
  const routes: BreadCrumbRoute[] = [{ name: String(router.currentRoute.value.name) }];
  //permisosAppStore.updateCurrentOption(router.currentRoute.value.path.replace('/', ''));
  breadcrumb?.initRoutes(routes);
});

function ocultarGrilla() {
  ver_grilla.value = false;
}

function mostrarGrilla() {
  ver_grilla.value = true;
}

function abrirABM(parametros: { id_beca: number | null, id_tabla_sol: number }) {
  const route: RouteLocationRaw = {
    name: 'becasActualizacionAbm',
    params: { id_beca: parametros.id_beca, id_tabla_sol: parametros.id_tabla_sol, es_abm: 1 }
  };
  router.push(route);
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped></style>
